Bug 41756 - Epson 760 USB printers can not print using ghostscript
Epson 760 USB printers can not print using ghostscript
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-05-21 22:28 EDT by cbagwell
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-10 16:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cbagwell 2001-05-21 22:28:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
When Epson 760 printers are connected using the USB port,
they must be sent an escape sequence at least once after power
on before they will accept further input from the USB port.

gimp-print already know about this and always sends the string with all
output.  Ghostscript needs to be configured to do the same or nothing will
print.  Since at least version 5.50 does not include
this escape sequence, several epson USB printers will not work.

The solution is to modify all the /usr/share/ghostscript/5.50 files and add
the following sequence to the upp file where it says
   00 00 00
   1b01 40 45 4a 4c 20 31 32 38 34 2e 34 0a
   40 45 4a 4c 20 20 20 20 20 0a
      1b40   1b40
   1b2847 0100 01   <--- current file starts here.
   1b2855 0100 0A

This is documented in the USB FAQ at www.linux-usb.org.

How reproducible:

Steps to Reproduce:
1. Default install
2. Configure using printtool for epson 760 printer
3. Use /dev/usb/lp0 (or whatever)
4. Will not print anything using ghostscript but gimp-print will.

Additional info:
Comment 1 Tim Waugh 2002-01-08 13:02:16 EST
Is this problem still exhibited by ghostscript-6.51-16?  There are '1b40 1b40' 
bits there now.
Comment 2 cbagwell 2002-01-08 15:03:55 EST
Yes, this problem is still in ghostscript-6.51-16.  I mistyped my arrow above. 
Non-working files start with '1b40 1b40'.  It needs the two lines before it to
work with USB printers.

At some point though RedHat appears to have started including the "stp" driver
in ghostscript and available via the printconf-gui program (I noticed it first
in 7.2).  Since "stp" is based off of gimp-print it already contains the needed
fixes and doesn't require modifying *.upp files.

I'd probably suggest closing this bug report now and tell all future Epson USB
Printer people to use "stp".  It requires less of your quality-control work
anyways and offers much better output to the users.

Hopefully, the ghostscript team themselves will fix the bug in the older
postscript drivers or remove them from their version.  I have submitted a bug
report to their sourceforge page on this topic as well (still hasn't been
answered in close to a years times either :-).
Comment 3 Tim Waugh 2002-01-10 11:43:04 EST
Could you give me a link to the sf bug report please?
Comment 4 cbagwell 2002-01-10 13:56:20 EST
The SF Ghostscript bug # is 448199.  The following link is what I used to view
it just now:

Comment 5 Tim Waugh 2002-01-10 16:37:16 EST
Comment 6 Tim Waugh 2002-03-06 08:18:09 EST
Okay, closing.  The gimp-print driver is the one to use anyway, as you say.

Note You need to log in before you can comment on or make changes to this bug.